--- old/usr/src/lib/libm/common/complex/crealf.c	2014-11-04 19:01:21.253344629 -0500
+++ new/usr/src/lib/libm/common/complex/crealf.c	2014-11-04 19:01:21.264770248 -0500
@@ -27,7 +27,7 @@
  * Use is subject to license terms.
  */
 
-#pragma weak crealf = __crealf
+#pragma weak __crealf = crealf
 
 #include "libm.h"
 #include "complex_wrapper.h"
--- old/usr/src/lib/libm/common/complex/creall.c	2014-11-04 19:01:21.652531461 -0500
+++ new/usr/src/lib/libm/common/complex/creall.c	2014-11-04 19:01:21.664062634 -0500
@@ -27,7 +27,7 @@
  * Use is subject to license terms.
  */
 
-#pragma weak creall = __creall
+#pragma weak __creall = creall
 
 #include "libm.h"
 #include "complex_wrapper.h"
--- old/usr/src/lib/libm/common/complex/csin.c	2014-11-04 19:01:22.068013576 -0500
+++ new/usr/src/lib/libm/common/complex/csin.c	2014-11-04 19:01:22.079531895 -0500
@@ -27,7 +27,7 @@
  * Use is subject to license terms.
  */
 
-#pragma weak csin = __csin
+#pragma weak __csin = csin
 
 /* INDENT OFF */
 /*
--- old/usr/src/lib/libm/common/complex/csinf.c	2014-11-04 19:01:22.489558640 -0500
+++ new/usr/src/lib/libm/common/complex/csinf.c	2014-11-04 19:01:22.500957072 -0500
@@ -27,7 +27,7 @@
  * Use is subject to license terms.
  */
 
-#pragma weak csinf = __csinf
+#pragma weak __csinf = csinf
 
 #include "libm.h"
 #include "complex_wrapper.h"
--- old/usr/src/lib/libm/common/complex/csinh.c	2014-11-04 19:01:22.892312945 -0500
+++ new/usr/src/lib/libm/common/complex/csinh.c	2014-11-04 19:01:22.903635118 -0500
@@ -27,7 +27,7 @@
  * Use is subject to license terms.
  */
 
-#pragma weak csinh = __csinh
+#pragma weak __csinh = csinh
 
 /* INDENT OFF */
 /*
--- old/usr/src/lib/libm/common/complex/csinhf.c	2014-11-04 19:01:23.332974737 -0500
+++ new/usr/src/lib/libm/common/complex/csinhf.c	2014-11-04 19:01:23.344856444 -0500
@@ -26,7 +26,7 @@
  * Use is subject to license terms.
  */
 
-#pragma weak csinhf = __csinhf
+#pragma weak __csinhf = csinhf
 
 #include "libm.h"
 #include "complex_wrapper.h"
--- old/usr/src/lib/libm/common/complex/csinhl.c	2014-11-04 19:01:23.935546383 -0500
+++ new/usr/src/lib/libm/common/complex/csinhl.c	2014-11-04 19:01:24.060810667 -0500
@@ -27,7 +27,7 @@
  * Use is subject to license terms.
  */
 
-#pragma weak csinhl = __csinhl
+#pragma weak __csinhl = csinhl
 
 #include "libm.h"	/* coshl/expl/fabsl/scalbnl/sincosl/sinhl/__k_cexpl */
 #include "complex_wrapper.h"
--- old/usr/src/lib/libm/common/complex/csinl.c	2014-11-04 19:01:24.449685243 -0500
+++ new/usr/src/lib/libm/common/complex/csinl.c	2014-11-04 19:01:24.461031894 -0500
@@ -27,7 +27,7 @@
  * Use is subject to license terms.
  */
 
-#pragma weak csinl = __csinl
+#pragma weak __csinl = csinl
 
 #include "libm.h"
 #include "complex_wrapper.h"
--- old/usr/src/lib/libm/common/complex/csqrt.c	2014-11-04 19:01:24.843010971 -0500
+++ new/usr/src/lib/libm/common/complex/csqrt.c	2014-11-04 19:01:24.854622258 -0500
@@ -27,7 +27,7 @@
  * Use is subject to license terms.
  */
 
-#pragma weak csqrt = __csqrt
+#pragma weak __csqrt = csqrt
 
 /* INDENT OFF */
 /*
--- old/usr/src/lib/libm/common/complex/csqrtf.c	2014-11-04 19:01:25.249699194 -0500
+++ new/usr/src/lib/libm/common/complex/csqrtf.c	2014-11-04 19:01:25.261076572 -0500
@@ -27,7 +27,7 @@
  * Use is subject to license terms.
  */
 
-#pragma weak csqrtf = __csqrtf
+#pragma weak __csqrtf = csqrtf
 
 #include "libm.h"		/* sqrt/fabsf/sqrtf */
 #include "complex_wrapper.h"
--- old/usr/src/lib/libm/common/complex/csqrtl.c	2014-11-04 19:01:25.650468192 -0500
+++ new/usr/src/lib/libm/common/complex/csqrtl.c	2014-11-04 19:01:25.661837592 -0500
@@ -27,7 +27,7 @@
  * Use is subject to license terms.
  */
 
-#pragma weak csqrtl = __csqrtl
+#pragma weak __csqrtl = csqrtl
 
 #include "libm.h"		/* fabsl/isinfl/sqrtl */
 #include "complex_wrapper.h"
--- old/usr/src/lib/libm/common/complex/ctan.c	2014-11-04 19:01:26.055446497 -0500
+++ new/usr/src/lib/libm/common/complex/ctan.c	2014-11-04 19:01:26.066778495 -0500
@@ -27,7 +27,7 @@
  * Use is subject to license terms.
  */
 
-#pragma weak ctan = __ctan
+#pragma weak __ctan = ctan
 
 /* INDENT OFF */
 /*
--- old/usr/src/lib/libm/common/complex/ctanf.c	2014-11-04 19:01:26.468967233 -0500
+++ new/usr/src/lib/libm/common/complex/ctanf.c	2014-11-04 19:01:26.480402551 -0500
@@ -27,7 +27,7 @@
  * Use is subject to license terms.
  */
 
-#pragma weak ctanf = __ctanf
+#pragma weak __ctanf = ctanf
 
 #include "libm.h"
 #include "complex_wrapper.h"
--- old/usr/src/lib/libm/common/complex/ctanh.c	2014-11-04 19:01:26.866988097 -0500
+++ new/usr/src/lib/libm/common/complex/ctanh.c	2014-11-04 19:01:26.878797068 -0500
@@ -27,7 +27,7 @@
  * Use is subject to license terms.
  */
 
-#pragma weak ctanh = __ctanh
+#pragma weak __ctanh = ctanh
 
 /* INDENT OFF */
 /*
--- old/usr/src/lib/libm/common/complex/ctanhf.c	2014-11-04 19:01:27.271490650 -0500
+++ new/usr/src/lib/libm/common/complex/ctanhf.c	2014-11-04 19:01:27.284511079 -0500
@@ -27,7 +27,7 @@
  * Use is subject to license terms.
  */
 
-#pragma weak ctanhf = __ctanhf
+#pragma weak __ctanhf = ctanhf
 
 #include "libm.h"		/* expf/expm1f/fabsf/sincosf/sinf/tanhf */
 #include "complex_wrapper.h"
--- old/usr/src/lib/libm/common/complex/ctanhl.c	2014-11-04 19:01:27.674645592 -0500
+++ new/usr/src/lib/libm/common/complex/ctanhl.c	2014-11-04 19:01:27.685995195 -0500
@@ -27,7 +27,7 @@
  * Use is subject to license terms.
  */
 
-#pragma weak ctanhl = __ctanhl
+#pragma weak __ctanhl = ctanhl
 
 #include "libm.h"	/* expl/expm1l/fabsl/isinfl/isnanl/sincosl/sinl/tanhl */
 #include "complex_wrapper.h"
--- old/usr/src/lib/libm/common/complex/ctanl.c	2014-11-04 19:01:28.077020309 -0500
+++ new/usr/src/lib/libm/common/complex/ctanl.c	2014-11-04 19:01:28.088337911 -0500
@@ -27,7 +27,7 @@
  * Use is subject to license terms.
  */
 
-#pragma weak ctanl = __ctanl
+#pragma weak __ctanl = ctanl
 
 #include "libm.h"
 #include "complex_wrapper.h"
--- old/usr/src/lib/libm/common/m9x/__fex_hdlr.c	2014-11-04 19:01:28.484985223 -0500
+++ new/usr/src/lib/libm/common/m9x/__fex_hdlr.c	2014-11-04 19:01:28.496536436 -0500
@@ -27,7 +27,6 @@
  * Use is subject to license terms.
  */
 
-#include "fenv_synonyms.h"
 #undef lint
 #include <signal.h>
 #include <siginfo.h>
--- old/usr/src/lib/libm/common/m9x/__fex_i386.c	2014-11-04 19:01:29.314761465 -0500
+++ new/usr/src/lib/libm/common/m9x/__fex_i386.c	2014-11-04 19:01:29.326578226 -0500
@@ -27,7 +27,6 @@
  * Use is subject to license terms.
  */
 
-#include "fenv_synonyms.h"
 #include <stdio.h>
 #include <unistd.h>
 #include <stdlib.h>
--- old/usr/src/lib/libm/common/m9x/__fex_sparc.c	2014-11-04 19:01:29.864322903 -0500
+++ new/usr/src/lib/libm/common/m9x/__fex_sparc.c	2014-11-04 19:01:29.876065471 -0500
@@ -28,7 +28,6 @@
  */
 
 #if defined(__sparc)
-#include "fenv_synonyms.h"
 #include <stdio.h>
 #include <unistd.h>
 #include <string.h>
--- old/usr/src/lib/libm/common/m9x/__fex_sse.c	2014-11-04 19:01:30.349137908 -0500
+++ new/usr/src/lib/libm/common/m9x/__fex_sse.c	2014-11-04 19:01:30.361794060 -0500
@@ -27,7 +27,6 @@
  * Use is subject to license terms.
  */
 
-#include "fenv_synonyms.h"
 #include <ucontext.h>
 #include <fenv.h>
 #if defined(__SUNPRO_C)
--- old/usr/src/lib/libm/common/m9x/__fex_sym.c	2014-11-04 19:01:30.895528904 -0500
+++ new/usr/src/lib/libm/common/m9x/__fex_sym.c	2014-11-04 19:01:30.906964110 -0500
@@ -27,7 +27,6 @@
  * Use is subject to license terms.
  */
 
-#include "fenv_synonyms.h"
 #include <elf.h>
 #include <stdio.h>
 #include <stdlib.h>
--- old/usr/src/lib/libm/common/m9x/feexcept.c	2014-11-04 19:01:31.347007117 -0500
+++ new/usr/src/lib/libm/common/m9x/feexcept.c	2014-11-04 19:01:31.359442646 -0500
@@ -27,19 +27,18 @@
  * Use is subject to license terms.
  */
 
-#pragma weak feclearexcept = __feclearexcept
-#pragma weak feraiseexcept = __feraiseexcept
-#pragma weak fetestexcept = __fetestexcept
-#pragma weak fegetexceptflag = __fegetexceptflag
-#pragma weak fesetexceptflag = __fesetexceptflag
-
-#pragma weak feclearexcept96 = __feclearexcept
-#pragma weak feraiseexcept96 = __feraiseexcept
-#pragma weak fetestexcept96 = __fetestexcept
-#pragma weak fegetexceptflag96 = __fegetexceptflag
-#pragma weak fesetexceptflag96 = __fesetexceptflag
+#pragma weak __feclearexcept = feclearexcept
+#pragma weak __feraiseexcept = feraiseexcept
+#pragma weak __fetestexcept = fetestexcept
+#pragma weak __fegetexceptflag = fegetexceptflag
+#pragma weak __fesetexceptflag = fesetexceptflag
+
+#pragma weak feclearexcept96 = feclearexcept
+#pragma weak feraiseexcept96 = feraiseexcept
+#pragma weak fetestexcept96 = fetestexcept
+#pragma weak fegetexceptflag96 = fegetexceptflag
+#pragma weak fesetexceptflag96 = fesetexceptflag
 
-#include "fenv_synonyms.h"
 #include <fenv.h>
 #include <sys/ieeefp.h>
 #include <ucontext.h>
--- old/usr/src/lib/libm/common/m9x/fenv.c	2014-11-04 19:01:31.758071585 -0500
+++ new/usr/src/lib/libm/common/m9x/fenv.c	2014-11-04 19:01:31.769422365 -0500
@@ -27,19 +27,17 @@
  * Use is subject to license terms.
  */
 
-#pragma weak fex_merge_flags = __fex_merge_flags
+#pragma weak __fex_merge_flags = fex_merge_flags
 
-#pragma weak feholdexcept = __feholdexcept
-#pragma weak feupdateenv = __feupdateenv
-#pragma weak fegetenv = __fegetenv
-#pragma weak fesetenv = __fesetenv
-
-#pragma weak feholdexcept96 = __feholdexcept96
-#pragma weak feupdateenv96 = __feupdateenv
-#pragma weak fegetenv96 = __fegetenv
-#pragma weak fesetenv96 = __fesetenv
+#pragma weak __feholdexcept = feholdexcept
+#pragma weak __feupdateenv = feupdateenv
+#pragma weak __fegetenv = fegetenv
+#pragma weak __fesetenv = fesetenv
+
+#pragma weak feupdateenv96 = feupdateenv
+#pragma weak fegetenv96 = fegetenv
+#pragma weak fesetenv96 = fesetenv
 
-#include "fenv_synonyms.h"
 #include <fenv.h>
 #include <ucontext.h>
 #include <thread.h>
--- old/usr/src/lib/libm/common/m9x/feprec.c	2014-11-04 19:01:32.393662380 -0500
+++ new/usr/src/lib/libm/common/m9x/feprec.c	2014-11-04 19:01:32.405255275 -0500
@@ -27,10 +27,9 @@
  * Use is subject to license terms.
  */
 
-#pragma weak fegetprec = __fegetprec
-#pragma weak fesetprec = __fesetprec
+#pragma weak __fegetprec = fegetprec
+#pragma weak __fesetprec = fesetprec
 
-#include "fenv_synonyms.h"
 #include <fenv.h>
 #include <ucontext.h>
 #include <thread.h>
--- old/usr/src/lib/libm/common/m9x/feround.c	2014-11-04 19:01:32.806150282 -0500
+++ new/usr/src/lib/libm/common/m9x/feround.c	2014-11-04 19:01:32.817748735 -0500
@@ -27,13 +27,11 @@
  * Use is subject to license terms.
  */
 
-#pragma weak fegetround = __fegetround
-#pragma weak fesetround = __fesetround
+#pragma weak __fegetround = fegetround
+#pragma weak __fesetround = fesetround
 
 #pragma weak fegetround96 = __fegetround
-#pragma weak fesetround96 = __fesetround96
 
-#include "fenv_synonyms.h"
 #include <fenv.h>
 #include <ucontext.h>
 #include <thread.h>
--- old/usr/src/lib/libm/common/m9x/fex_handler.c	2014-11-04 19:01:33.233239491 -0500
+++ new/usr/src/lib/libm/common/m9x/fex_handler.c	2014-11-04 19:01:33.244818569 -0500
@@ -27,12 +27,11 @@
  * Use is subject to license terms.
  */
 
-#pragma weak fex_get_handling = __fex_get_handling
-#pragma weak fex_set_handling = __fex_set_handling
-#pragma weak fex_getexcepthandler = __fex_getexcepthandler
-#pragma weak fex_setexcepthandler = __fex_setexcepthandler
+#pragma weak __fex_get_handling = fex_get_handling
+#pragma weak __fex_set_handling = fex_set_handling
+#pragma weak __fex_getexcepthandler = fex_getexcepthandler
+#pragma weak __fex_setexcepthandler = fex_setexcepthandler
 
-#include "fenv_synonyms.h"
 #include <fenv.h>
 #include <ucontext.h>
 #include <thread.h>
--- old/usr/src/lib/libm/common/m9x/fex_log.c	2014-11-04 19:01:34.096123840 -0500
+++ new/usr/src/lib/libm/common/m9x/fex_log.c	2014-11-04 19:01:34.130773016 -0500
@@ -27,13 +27,12 @@
  * Use is subject to license terms.
  */
 
-#pragma weak fex_get_log = __fex_get_log
-#pragma weak fex_set_log = __fex_set_log
-#pragma weak fex_get_log_depth = __fex_get_log_depth
-#pragma weak fex_set_log_depth = __fex_set_log_depth
-#pragma weak fex_log_entry = __fex_log_entry
+#pragma weak __fex_get_log = fex_get_log
+#pragma weak __fex_set_log = fex_set_log
+#pragma weak __fex_get_log_depth = fex_get_log_depth
+#pragma weak __fex_set_log_depth = fex_set_log_depth
+#pragma weak __fex_log_entry = fex_log_entry
 
-#include "fenv_synonyms.h"
 #include <stdio.h>
 #include <stdlib.h>
 #include <unistd.h>
--- old/usr/src/lib/libm/common/m9x/ldexp.c	2014-11-04 19:01:34.905653576 -0500
+++ new/usr/src/lib/libm/common/m9x/ldexp.c	2014-11-04 19:01:34.917227164 -0500
@@ -27,7 +27,7 @@
  * Use is subject to license terms.
  */
 
-#pragma weak ldexp = __ldexp
+#pragma weak __ldexp = ldexp
 
 #include "libm.h"
 #include <errno.h>
--- old/usr/src/lib/libm/common/m9x/ldexpf.c	2014-11-04 19:01:35.330978571 -0500
+++ new/usr/src/lib/libm/common/m9x/ldexpf.c	2014-11-04 19:01:35.342692109 -0500
@@ -27,7 +27,7 @@
  * Use is subject to license terms.
  */
 
-#pragma weak ldexpf = __ldexpf
+#pragma weak __ldexpf = ldexpf
 
 #include "libm.h"
 
--- old/usr/src/lib/libm/common/m9x/ldexpl.c	2014-11-04 19:01:35.742035640 -0500
+++ new/usr/src/lib/libm/common/m9x/ldexpl.c	2014-11-04 19:01:35.753625003 -0500
@@ -27,7 +27,7 @@
  * Use is subject to license terms.
  */
 
-#pragma weak ldexpl = __ldexpl
+#pragma weak __ldexpl = ldexpl
 
 #include "libm.h"
 
--- old/usr/src/lib/libm/common/m9x/llrint.c	2014-11-04 19:01:36.139140559 -0500
+++ new/usr/src/lib/libm/common/m9x/llrint.c	2014-11-04 19:01:36.150731858 -0500
@@ -27,10 +27,10 @@
  * Use is subject to license terms.
  */
 
-#pragma weak llrint = __llrint
+#pragma weak __llrint = llrint
 #if defined(__sparcv9) || defined(__amd64)
-#pragma weak lrint = __llrint
-#pragma weak __lrint = __llrint
+#pragma weak lrint = llrint
+#pragma weak __lrint = llrint
 #endif
 
 /*
--- old/usr/src/lib/libm/common/m9x/llrintf.c	2014-11-04 19:01:36.552017175 -0500
+++ new/usr/src/lib/libm/common/m9x/llrintf.c	2014-11-04 19:01:36.563484091 -0500
@@ -27,10 +27,10 @@
  * Use is subject to license terms.
  */
 
-#pragma weak llrintf = __llrintf
+#pragma weak __llrintf = llrintf
 #if defined(__sparcv9) || defined(__amd64)
-#pragma weak lrintf = __llrintf
-#pragma weak __lrintf = __llrintf
+#pragma weak lrintf = llrintf
+#pragma weak __lrintf = llrintf
 #endif
 
 #include "libm.h"
--- old/usr/src/lib/libm/common/m9x/llrintl.c	2014-11-04 19:01:37.070628221 -0500
+++ new/usr/src/lib/libm/common/m9x/llrintl.c	2014-11-04 19:01:37.082010029 -0500
@@ -27,10 +27,10 @@
  * Use is subject to license terms.
  */
 
-#pragma weak llrintl = __llrintl
+#pragma weak __llrintl = llrintl
 #if defined(__sparcv9) || defined(__amd64)
-#pragma weak lrintl = __llrintl
-#pragma weak __lrintl = __llrintl
+#pragma weak lrintl = llrintl
+#pragma weak __lrintl = llrintl
 #endif
 
 #include "libm.h"
--- old/usr/src/lib/libm/common/m9x/llround.c	2014-11-04 19:01:37.491920157 -0500
+++ new/usr/src/lib/libm/common/m9x/llround.c	2014-11-04 19:01:37.503222691 -0500
@@ -27,10 +27,10 @@
  * Use is subject to license terms.
  */
 
-#pragma weak llround = __llround
+#pragma weak __llround = llround
 #if defined(__sparcv9) || defined(__amd64)
-#pragma weak lround = __llround
-#pragma weak __lround = __llround
+#pragma weak lround = llround
+#pragma weak __lround = llround
 #endif
 
 /*
--- old/usr/src/lib/libm/common/m9x/llroundf.c	2014-11-04 19:01:37.928291561 -0500
+++ new/usr/src/lib/libm/common/m9x/llroundf.c	2014-11-04 19:01:37.939731413 -0500
@@ -27,10 +27,10 @@
  * Use is subject to license terms.
  */
 
-#pragma weak llroundf = __llroundf
+#pragma weak __llroundf = llroundf
 #if defined(__sparcv9) || defined(__amd64)
-#pragma weak lroundf = __llroundf
-#pragma weak __lroundf = __llroundf
+#pragma weak lroundf = llroundf
+#pragma weak __lroundf = llroundf
 #endif
 
 #include "libm.h"
--- old/usr/src/lib/libm/common/m9x/llroundl.c	2014-11-04 19:01:38.351763255 -0500
+++ new/usr/src/lib/libm/common/m9x/llroundl.c	2014-11-04 19:01:38.364227185 -0500
@@ -27,10 +27,10 @@
  * Use is subject to license terms.
  */
 
-#pragma weak llroundl = __llroundl
+#pragma weak __llroundl = llroundl
 #if defined(__sparcv9) || defined(__amd64)
-#pragma weak lroundl = __llroundl
-#pragma weak __lroundl = __llroundl
+#pragma weak lroundl = llroundl
+#pragma weak __lroundl = llroundl
 #endif
 
 #include "libm.h"
--- old/usr/src/lib/libm/common/m9x/lrint.c	2014-11-04 19:01:39.011278921 -0500
+++ new/usr/src/lib/libm/common/m9x/lrint.c	2014-11-04 19:01:39.034399537 -0500
@@ -27,7 +27,7 @@
  * Use is subject to license terms.
  */
 
-#pragma weak lrint = __lrint
+#pragma weak __lrint = lrint
 
 /*
  * lrint(x) rounds its argument to the nearest integer according
--- old/usr/src/lib/libm/common/m9x/lrintf.c	2014-11-04 19:01:39.439730433 -0500
+++ new/usr/src/lib/libm/common/m9x/lrintf.c	2014-11-04 19:01:39.451272241 -0500
@@ -27,7 +27,7 @@
  * Use is subject to license terms.
  */
 
-#pragma weak lrintf = __lrintf
+#pragma weak __lrintf = lrintf
 
 #include <sys/isa_defs.h>	/* _ILP32 */
 #include "libm.h"
--- old/usr/src/lib/libm/common/m9x/lrintl.c	2014-11-04 19:01:39.839751218 -0500
+++ new/usr/src/lib/libm/common/m9x/lrintl.c	2014-11-04 19:01:39.851061381 -0500
@@ -27,7 +27,7 @@
  * Use is subject to license terms.
  */
 
-#pragma weak lrintl = __lrintl
+#pragma weak __lrintl = lrintl
 
 #include <sys/isa_defs.h>	/* _ILP32 */
 #include "libm.h"
--- old/usr/src/lib/libm/common/m9x/lround.c	2014-11-04 19:01:40.314702725 -0500
+++ new/usr/src/lib/libm/common/m9x/lround.c	2014-11-04 19:01:40.326160624 -0500
@@ -27,7 +27,7 @@
  * Use is subject to license terms.
  */
 
-#pragma weak lround = __lround
+#pragma weak __lround = lround
 
 /*
  * lround(x) rounds its argument to the nearest integer, rounding ties
--- old/usr/src/lib/libm/common/m9x/lroundf.c	2014-11-04 19:01:40.714104148 -0500
+++ new/usr/src/lib/libm/common/m9x/lroundf.c	2014-11-04 19:01:40.725477346 -0500
@@ -27,7 +27,7 @@
  * Use is subject to license terms.
  */
 
-#pragma weak lroundf = __lroundf
+#pragma weak __lroundf = lroundf
 
 #include <sys/isa_defs.h>	/* _ILP32 */
 #include "libm.h"
--- old/usr/src/lib/libm/common/m9x/lroundl.c	2014-11-04 19:01:41.114041777 -0500
+++ new/usr/src/lib/libm/common/m9x/lroundl.c	2014-11-04 19:01:41.125484655 -0500
@@ -27,7 +27,7 @@
  * Use is subject to license terms.
  */
 
-#pragma weak lroundl = __lroundl
+#pragma weak __lroundl = lroundl
 
 #include <sys/isa_defs.h>	/* _ILP32 */
 #include "libm.h"
--- old/usr/src/lib/libm/common/m9x/nearbyint.c	2014-11-04 19:01:41.540022328 -0500
+++ new/usr/src/lib/libm/common/m9x/nearbyint.c	2014-11-04 19:01:41.551478051 -0500
@@ -39,7 +39,6 @@
  */
 
 #include "libm.h"
-#include "fenv_synonyms.h"
 #include <fenv.h>
 
 double
--- old/usr/src/lib/libm/common/m9x/nearbyintf.c	2014-11-04 19:01:41.945114553 -0500
+++ new/usr/src/lib/libm/common/m9x/nearbyintf.c	2014-11-04 19:01:41.956698050 -0500
@@ -30,7 +30,6 @@
 #pragma weak nearbyintf = __nearbyintf
 
 #include "libm.h"
-#include "fenv_synonyms.h"
 #include <fenv.h>
 
 float
--- old/usr/src/lib/libm/common/m9x/nexttowardl.c	2014-11-04 19:01:42.358457841 -0500
+++ new/usr/src/lib/libm/common/m9x/nexttowardl.c	2014-11-04 19:01:42.369977110 -0500
@@ -27,7 +27,7 @@
  * Use is subject to license terms.
  */
 
-#pragma weak nexttowardl = __nexttowardl
+#pragma weak __nexttowardl = nexttowardl
 
 #include "libm.h"
 #include <float.h>		/* LDBL_MAX, LDBL_MIN */
--- old/usr/src/lib/libm/common/m9x/remquo.c	2014-11-04 19:01:42.758759845 -0500
+++ new/usr/src/lib/libm/common/m9x/remquo.c	2014-11-04 19:01:42.770224647 -0500
@@ -27,7 +27,7 @@
  * Use is subject to license terms.
  */
 
-#pragma weak remquo = __remquo
+#pragma weak __remquo = remquo
 
 /* INDENT OFF */
 /*
@@ -40,7 +40,6 @@
 /* INDENT ON */
 
 #include "libm.h"
-#include "libm_synonyms.h"
 #include "libm_protos.h"
 #include <math.h>		/* fabs() */
 #include <sys/isa_defs.h>
--- old/usr/src/lib/libm/common/m9x/remquof.c	2014-11-04 19:01:43.174693646 -0500
+++ new/usr/src/lib/libm/common/m9x/remquof.c	2014-11-04 19:01:43.186109489 -0500
@@ -27,7 +27,7 @@
  * Use is subject to license terms.
  */
 
-#pragma weak remquof = __remquof
+#pragma weak __remquof = remquof
 
 /* INDENT OFF */
 /*
@@ -39,7 +39,6 @@
  */
 
 #include "libm.h"
-#include "libm_synonyms.h"
 #include "libm_protos.h"
 #include <math.h>
 extern float fabsf(float);
--- old/usr/src/lib/libm/common/m9x/remquol.c	2014-11-04 19:01:43.614898857 -0500
+++ new/usr/src/lib/libm/common/m9x/remquol.c	2014-11-04 19:01:43.629874064 -0500
@@ -27,10 +27,9 @@
  * Use is subject to license terms.
  */
 
-#pragma weak remquol = __remquol
+#pragma weak __remquol = remquol
 
 #include "libm.h"
-#include "libm_synonyms.h"
 #if defined(__SUNPRO_C)
 #include <sunmath.h>			/* fabsl */
 #endif
--- old/usr/src/lib/libm/common/m9x/round.c	2014-11-04 19:01:44.252855742 -0500
+++ new/usr/src/lib/libm/common/m9x/round.c	2014-11-04 19:01:44.264452291 -0500
@@ -27,7 +27,7 @@
  * Use is subject to license terms.
  */
 
-#pragma weak round = __round
+#pragma weak __round = round
 
 #include "libm.h"
 
--- old/usr/src/lib/libm/common/m9x/roundf.c	2014-11-04 19:01:44.668387630 -0500
+++ new/usr/src/lib/libm/common/m9x/roundf.c	2014-11-04 19:01:44.679859006 -0500
@@ -27,7 +27,7 @@
  * Use is subject to license terms.
  */
 
-#pragma weak roundf = __roundf
+#pragma weak __roundf = roundf
 
 #include "libm.h"
 
--- old/usr/src/lib/libm/common/m9x/roundl.c	2014-11-04 19:01:45.069729099 -0500
+++ new/usr/src/lib/libm/common/m9x/roundl.c	2014-11-04 19:01:45.081244182 -0500
@@ -27,7 +27,7 @@
  * Use is subject to license terms.
  */
 
-#pragma weak roundl = __roundl
+#pragma weak __roundl = roundl
 
 #include "libm.h"
 
--- old/usr/src/lib/libm/common/m9x/scalbln.c	2014-11-04 19:01:45.476331457 -0500
+++ new/usr/src/lib/libm/common/m9x/scalbln.c	2014-11-04 19:01:45.488025554 -0500
@@ -27,7 +27,7 @@
  * Use is subject to license terms.
  */
 
-#pragma weak scalbln = __scalbln
+#pragma weak __scalbln = scalbln
 
 #include "libm.h"
 #include <float.h>		/* DBL_MAX, DBL_MIN */
--- old/usr/src/lib/libm/common/m9x/scalblnf.c	2014-11-04 19:01:45.878244626 -0500
+++ new/usr/src/lib/libm/common/m9x/scalblnf.c	2014-11-04 19:01:45.889784116 -0500
@@ -27,7 +27,7 @@
  * Use is subject to license terms.
  */
 
-#pragma weak scalblnf = __scalblnf
+#pragma weak __scalblnf = scalblnf
 
 #include "libm.h"
 #include <float.h>		/* FLT_MAX, FLT_MIN */
--- old/usr/src/lib/libm/common/m9x/scalblnl.c	2014-11-04 19:01:46.283112419 -0500
+++ new/usr/src/lib/libm/common/m9x/scalblnl.c	2014-11-04 19:01:46.294675664 -0500
@@ -27,7 +27,7 @@
  * Use is subject to license terms.
  */
 
-#pragma weak scalblnl = __scalblnl
+#pragma weak __scalblnl = scalblnl
 
 #include "libm.h"
 #include <float.h>		/* LDBL_MAX, LDBL_MIN */
--- old/usr/src/lib/libm/common/m9x/tgamma.c	2014-11-04 19:01:46.683890878 -0500
+++ new/usr/src/lib/libm/common/m9x/tgamma.c	2014-11-04 19:01:46.695763333 -0500
@@ -27,7 +27,7 @@
  * Use is subject to license terms.
  */
 
-#pragma weak tgamma = __tgamma
+#pragma weak __tgamma = tgamma
 
 /* INDENT OFF */
 /*
--- old/usr/src/lib/libm/common/m9x/tgammaf.c	2014-11-04 19:01:47.214487902 -0500
+++ new/usr/src/lib/libm/common/m9x/tgammaf.c	2014-11-04 19:01:47.225793215 -0500
@@ -27,7 +27,7 @@
  * Use is subject to license terms.
  */
 
-#pragma weak tgammaf = __tgammaf
+#pragma weak __tgammaf = tgammaf
 
 /*
  * True gamma function
@@ -40,7 +40,6 @@
  */
 
 #include "libm.h"
-#include "libm_synonyms.h"
 #include <math.h>
 #if defined(__SUNPRO_C)
 #include <sunmath.h>
--- old/usr/src/lib/libm/common/m9x/tgammal.c	2014-11-04 19:01:47.668106394 -0500
+++ new/usr/src/lib/libm/common/m9x/tgammal.c	2014-11-04 19:01:47.679778807 -0500
@@ -27,7 +27,7 @@
  * Use is subject to license terms.
  */
 
-#pragma weak tgammal = __tgammal
+#pragma weak __tgammal = tgammal
 
 #include "libm.h"
 #include <sys/isa_defs.h>
--- old/usr/src/lib/libm/common/m9x/trunc.c	2014-11-04 19:01:48.150304604 -0500
+++ new/usr/src/lib/libm/common/m9x/trunc.c	2014-11-04 19:01:48.161637496 -0500
@@ -27,7 +27,7 @@
  * Use is subject to license terms.
  */
 
-#pragma weak trunc = __trunc
+#pragma weak __trunc = trunc
 
 #include "libm.h"
 
--- old/usr/src/lib/libm/common/m9x/truncf.c	2014-11-04 19:01:48.551814925 -0500
+++ new/usr/src/lib/libm/common/m9x/truncf.c	2014-11-04 19:01:48.563104447 -0500
@@ -27,7 +27,7 @@
  * Use is subject to license terms.
  */
 
-#pragma weak truncf = __truncf
+#pragma weak __truncf = truncf
 
 #include "libm.h"
 
--- old/usr/src/lib/libm/common/m9x/truncl.c	2014-11-04 19:01:49.189580796 -0500
+++ new/usr/src/lib/libm/common/m9x/truncl.c	2014-11-04 19:01:49.201366475 -0500
@@ -27,7 +27,7 @@
  * Use is subject to license terms.
  */
 
-#pragma weak truncl = __truncl
+#pragma weak __truncl = truncl
 
 #include "libm.h"
 
--- old/usr/src/lib/libm/common/mapfile-vers	2014-11-04 19:01:49.632712265 -0500
+++ new/usr/src/lib/libm/common/mapfile-vers	2014-11-04 19:01:49.644647168 -0500
@@ -234,12 +234,21 @@
 		__lgammaf_r;			#LSARC/2003/279
 		__lgammal;
 		__lgammal_r;			#LSARC/2003/279
+$if amd64 || sparcv9
+		__llrint	{ FLAGS = NODYNSORT };
+		__llrintf	{ FLAGS = NODYNSORT };
+		__llrintl	{ FLAGS = NODYNSORT };
+		__llround	{ FLAGS = NODYNSORT };
+		__llroundf	{ FLAGS = NODYNSORT };
+		__llroundl	{ FLAGS = NODYNSORT };
+$else
 		__llrint;
 		__llrintf;
 		__llrintl;
 		__llround;
 		__llroundf;
 		__llroundl;
+$endif
 		__log1pf;
 		__log1pl;
 		__log2;
@@ -709,7 +718,7 @@
 		log10;
 		log1p;
 		logb;
-		matherr;
+		matherr { FLAGS = NODIRECT };
 		nextafter;
 		pow;
 		remainder;
--- old/usr/src/lib/libm/i386/src/__reduction.s	2014-11-04 19:01:50.099621138 -0500
+++ new/usr/src/lib/libm/i386/src/__reduction.s	2014-11-04 19:01:50.110865066 -0500
@@ -39,7 +39,6 @@
 /     ----------------------------------------------------------
 
 #include "libm.h"
-#include "libm_synonyms.h"
 #include "libm_protos.h"
 #undef fabs
 
--- old/usr/src/lib/libm/i386/src/acos.s	2014-11-04 19:01:50.566532262 -0500
+++ new/usr/src/lib/libm/i386/src/acos.s	2014-11-04 19:01:50.581472685 -0500
@@ -30,7 +30,6 @@
 
 #include "libm.h"
 LIBM_ANSI_PRAGMA_WEAK(acos,function)
-#include "libm_synonyms.h"
 #include "libm_protos.h"
 
 #undef fabs
--- old/usr/src/lib/libm/i386/src/acosf.s	2014-11-04 19:01:50.969785845 -0500
+++ new/usr/src/lib/libm/i386/src/acosf.s	2014-11-04 19:01:50.981146856 -0500
@@ -30,7 +30,6 @@
 
 #include "libm.h"
 LIBM_ANSI_PRAGMA_WEAK(acosf,function)
-#include "libm_synonyms.h"
 #include "libm_protos.h"
 
 #undef fabs
--- old/usr/src/lib/libm/i386/src/acosl.s	2014-11-04 19:01:51.371375211 -0500
+++ new/usr/src/lib/libm/i386/src/acosl.s	2014-11-04 19:01:51.383073664 -0500
@@ -30,7 +30,6 @@
 
 #include "libm.h"
 LIBM_ANSI_PRAGMA_WEAK(acosl,function)
-#include "libm_synonyms.h"
 
 #undef fabs
 
--- old/usr/src/lib/libm/i386/src/asin.s	2014-11-04 19:01:51.768936005 -0500
+++ new/usr/src/lib/libm/i386/src/asin.s	2014-11-04 19:01:51.781417917 -0500
@@ -30,7 +30,6 @@
 
 #include "libm.h"
 LIBM_ANSI_PRAGMA_WEAK(asin,function)
-#include "libm_synonyms.h"
 #include "libm_protos.h"
 
 #undef fabs
--- old/usr/src/lib/libm/i386/src/asinf.s	2014-11-04 19:01:52.170721708 -0500
+++ new/usr/src/lib/libm/i386/src/asinf.s	2014-11-04 19:01:52.181953748 -0500
@@ -30,7 +30,6 @@
 
 #include "libm.h"
 LIBM_ANSI_PRAGMA_WEAK(asinf,function)
-#include "libm_synonyms.h"
 #include "libm_protos.h"
 
 #undef fabs
--- old/usr/src/lib/libm/i386/src/asinl.s	2014-11-04 19:01:52.574776283 -0500
+++ new/usr/src/lib/libm/i386/src/asinl.s	2014-11-04 19:01:52.586412022 -0500
@@ -30,7 +30,6 @@
 
 #include "libm.h"
 LIBM_ANSI_PRAGMA_WEAK(asinl,function)
-#include "libm_synonyms.h"
 
 #undef fabs
 
--- old/usr/src/lib/libm/i386/src/atan.s	2014-11-04 19:01:52.972737526 -0500
+++ new/usr/src/lib/libm/i386/src/atan.s	2014-11-04 19:01:52.984080292 -0500
@@ -30,7 +30,6 @@
 
 #include "libm.h"
 LIBM_ANSI_PRAGMA_WEAK(atan,function)
-#include "libm_synonyms.h"
 
 	ENTRY(atan)
 	fldl	4(%esp)			/ push arg
--- old/usr/src/lib/libm/i386/src/atan2.s	2014-11-04 19:01:53.379061026 -0500
+++ new/usr/src/lib/libm/i386/src/atan2.s	2014-11-04 19:01:53.390513752 -0500
@@ -30,7 +30,6 @@
 
 #include "libm.h"
 LIBM_ANSI_PRAGMA_WEAK(atan2,function)
-#include "libm_synonyms.h"
 #include "libm_protos.h"
 
 	ENTRY(atan2)
--- old/usr/src/lib/libm/i386/src/atan2f.s	2014-11-04 19:01:53.927874284 -0500
+++ new/usr/src/lib/libm/i386/src/atan2f.s	2014-11-04 19:01:53.986107445 -0500
@@ -30,7 +30,6 @@
 
 #include "libm.h"
 LIBM_ANSI_PRAGMA_WEAK(atan2f,function)
-#include "libm_synonyms.h"
 #include "libm_protos.h"
 
 	ENTRY(atan2f)
--- old/usr/src/lib/libm/i386/src/atan2l.s	2014-11-04 19:01:54.462229621 -0500
+++ new/usr/src/lib/libm/i386/src/atan2l.s	2014-11-04 19:01:54.473543494 -0500
@@ -30,7 +30,6 @@
 
 #include "libm.h"
 LIBM_ANSI_PRAGMA_WEAK(atan2l,function)
-#include "libm_synonyms.h"
 
 	ENTRY(atan2l)
 	fldt	4(%esp)			/ push y
--- old/usr/src/lib/libm/i386/src/atanl.s	2014-11-04 19:01:54.856089592 -0500
+++ new/usr/src/lib/libm/i386/src/atanl.s	2014-11-04 19:01:54.867667596 -0500
@@ -30,7 +30,6 @@
 
 #include "libm.h"
 LIBM_ANSI_PRAGMA_WEAK(atanl,function)
-#include "libm_synonyms.h"
 
 	ENTRY(atanl)
 	fldt	4(%esp)			/ push arg
--- old/usr/src/lib/libm/i386/src/ceil.s	2014-11-04 19:01:55.254363395 -0500
+++ new/usr/src/lib/libm/i386/src/ceil.s	2014-11-04 19:01:55.265952799 -0500
@@ -30,7 +30,6 @@
 
 #include "libm.h"
 LIBM_ANSI_PRAGMA_WEAK(ceil,function)
-#include "libm_synonyms.h"
 
 	ENTRY(ceil)
 	subl	$8,%esp
--- old/usr/src/lib/libm/i386/src/copysign.s	2014-11-04 19:01:55.651798863 -0500
+++ new/usr/src/lib/libm/i386/src/copysign.s	2014-11-04 19:01:55.663166323 -0500
@@ -30,7 +30,6 @@
 
 #include "libm.h"
 LIBM_ANSI_PRAGMA_WEAK(copysign,function)
-#include "libm_synonyms.h"
 
 	ENTRY(copysign)
 	movl    8(%esp),%eax		/ eax <-- hi_32(x)
--- old/usr/src/lib/libm/i386/src/copysignf.s	2014-11-04 19:01:56.051332977 -0500
+++ new/usr/src/lib/libm/i386/src/copysignf.s	2014-11-04 19:01:56.062786573 -0500
@@ -30,7 +30,6 @@
 
 #include "libm.h"
 LIBM_ANSI_PRAGMA_WEAK(copysignf,function)
-#include "libm_synonyms.h"
 
 	ENTRY(copysignf)
 	movl    4(%esp),%eax		/ eax <-- x
--- old/usr/src/lib/libm/i386/src/copysignl.s	2014-11-04 19:01:56.465319544 -0500
+++ new/usr/src/lib/libm/i386/src/copysignl.s	2014-11-04 19:01:56.477014903 -0500
@@ -30,7 +30,6 @@
 
 #include "libm.h"
 LIBM_ANSI_PRAGMA_WEAK(copysignl,function)
-#include "libm_synonyms.h"
 
 	ENTRY(copysignl)
 	movl    12(%esp),%eax		/ sign and bexp of x
--- old/usr/src/lib/libm/i386/src/cos.s	2014-11-04 19:01:56.866596476 -0500
+++ new/usr/src/lib/libm/i386/src/cos.s	2014-11-04 19:01:56.878248562 -0500
@@ -30,7 +30,6 @@
 
 #include "libm.h"
 LIBM_ANSI_PRAGMA_WEAK(cos,function)
-#include "libm_synonyms.h"
 #include "libm_protos.h"
 
 	ENTRY(cos)
--- old/usr/src/lib/libm/i386/src/exp.s	2014-11-04 19:01:57.264550221 -0500
+++ new/usr/src/lib/libm/i386/src/exp.s	2014-11-04 19:01:57.277655616 -0500
@@ -30,7 +30,6 @@
 
 #include "libm.h"
 LIBM_ANSI_PRAGMA_WEAK(exp,function)
-#include "libm_synonyms.h"
 #include "libm_protos.h"
 
 	ENTRY(exp)
--- old/usr/src/lib/libm/i386/src/exp10.s	2014-11-04 19:01:57.670373365 -0500
+++ new/usr/src/lib/libm/i386/src/exp10.s	2014-11-04 19:01:57.682035800 -0500
@@ -29,8 +29,6 @@
         .file "exp10.s"
 
 #include "libm.h"
-LIBM_ANSI_PRAGMA_WEAK(exp10,function)
-#include "libm_synonyms.h"
 
 	ENTRY(exp10)
 	movl	8(%esp),%ecx		/ ecx <-- hi_32(x)
--- old/usr/src/lib/libm/i386/src/exp10f.s	2014-11-04 19:01:58.076617542 -0500
+++ new/usr/src/lib/libm/i386/src/exp10f.s	2014-11-04 19:01:58.088177402 -0500
@@ -29,8 +29,6 @@
         .file "exp10f.s"
 
 #include "libm.h"
-LIBM_ANSI_PRAGMA_WEAK(exp10f,function)
-#include "libm_synonyms.h"
 
 	ENTRY(exp10f)
 	movl	4(%esp),%ecx		/ ecx <-- x
